#!/usr/bin/env bash

export CARGO_HOME=${CONDA_PREFIX}/.cargo
export CARGO_CONFIG=${CARGO_HOME}/config
export RUSTUP_HOME=${CARGO_HOME}/rustup

[[ -d ${CARGO_HOME} ]] || mkdir -p ${CARGO_HOME}

export CARGO_TARGET_AARCH64_APPLE_DARWIN_LINKER=${CC_FOR_BUILD:-${CONDA_PREFIX}/bin/arm64-apple-darwin20.0.0-clang}
export CARGO_TARGET_X86_64_APPLE_DARWIN_LINKER=${CC:-${CONDA_PREFIX}/bin/x86_64-apple-darwin13.4.0-clang}
export CARGO_BUILD_TARGET=x86_64-apple-darwin

if [[ "osx-64" == linux*  ]]; then
  export CARGO_BUILD_RUSTFLAGS="-C link-arg=-Wl,-rpath-link,${PREFIX:-${CONDA_PREFIX}}/lib -C link-arg=-Wl,-rpath,${PREFIX:-${CONDA_PREFIX}}/lib"
elif [[ "osx-64" == osx* ]]; then
  export CARGO_BUILD_RUSTFLAGS="-C link-arg=-Wl,-rpath,${PREFIX:-${CONDA_PREFIX}}/lib"
fi

export PATH=${CARGO_HOME}/bin:${PATH}
